<?php
/*
Plugin Name: Map
Description: Add google map to your blog with a shortcode to any post or page you will like the map to be displayed!
Plugin URI: http://colatenio.weebly.com
Author: Mails Nourin
Version: 1.0
License: GPLv3 or later

*/

/*  Copyright 2014 Mails Nourin  (email : colatenio@hotmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

function EasyMaps($atts){

extract( shortcode_atts( array(

'zoom'=>"14",
'address'=>"Athens",
'companyname'=>"MyCompanyName",
'imagesrc'=>plugins_url( '' , __FILE__ )."/MyImage.png",
'description'=>"A short description",
'height'=>'500px',
'width'=>'500px',
'key'=>'AIzaSyCoZlZpmHk64DguKRD_nv6BuXEou8DCbYw'


), $atts));

 $description='<div style="min-height:150px; min-width:100px;"><img src="'.$imagesrc.'"><h2>'.$companyname.'</h2><b><i>'.$address.'</i></b></div>';
return "
    <script src='http://maps.google.com/maps?file=api&amp;v=2&amp;key='$key' type='text/javascript'></script>
   
   <div id='map_canvas' style='width: $width; height: $height'></div>

	<script type='text/javascript'>

    var map = null;
    var geocoder = null;

   
      if (GBrowserIsCompatible()) {
        map = new GMap2(document.getElementById('map_canvas'));
        //map.setCenter(new GLatLng(37.9837155, 23.72930969999993),10);
        
        geocoder = new GClientGeocoder();
      }
    

    
      if (geocoder) {
        geocoder.getLatLng(
          '$address',
          function(point) {
            if (!point) {
              alert(address + ' not found');
            } else {
              map.setCenter(point,$zoom);
              var marker = new GMarker(point, {title:'$companyname'});
              map.addOverlay(marker);
              
              GEvent.addListener(marker, 'click', function() {
                marker.openInfoWindowHtml('$description');
              });
	      GEvent.trigger(marker, 'click');
            }
          }
        );
      }
    
    </script>
";

}

add_shortcode('Easy Maps', 'EasyMaps' );
?>